# One-Step Diffusion Distillation via Deep Equilibrium Models

## Data Generation

First, clone the EDM repo. Then, place the files under `/data` to the `/edm` directory.
Run the following command to generate the training set.

```bash
bash dataset.sh
```

In addition, download the precomputed statistics of datasets from [this link](https://drive.google.com/drive/folders/1UBdzl6GtNMwNQ5U-4ESlIer43tNjiGJC).
Set up the `--stats_path` in `code/train.py` and `code/eval.py` using your download dir.

## Training

For training ViT, run command under `/code`:
```bash
bash run.sh --model ViT-B/2
```

For training GET, run command under `/code`:
```bash
bash run.sh --model GET-S/2
```

For training conditional models, add the command `--cond`.
For the memory efficient training mode, add the command `--mem`.

